Page MenuHomePhabricator

[Task] Reduce ResourceLoader modules
Closed, InvalidPublic

Description

We should reduce ResourceLoader modules to max 5-10 for UI. This will improve performance according to @Krinkle

Event Timeline

Jonas raised the priority of this task from to High.
Jonas updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 11 2016, 3:06 PM
Jonas set Security to None.Jan 11 2016, 3:21 PM
Jonas added a subscriber: adrianheine.
hoo added a subscriber: hoo.Jan 11 2016, 3:26 PM

While the way the resource loader startup module work makes it quite expensive to have a lot of modules (and we also register many of them in client only installations as well), I don't think this is very important, we have quite a few more pressing performance issues.

Change 263355 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Merge snakview ResourceLoader modules

https://gerrit.wikimedia.org/r/263355

Change 263356 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Merge PageConnector into linkitem ResourceLoder module

https://gerrit.wikimedia.org/r/263356

Change 263356 abandoned by Thiemo Mättig (WMDE):
Merge PageConnector into linkitem ResourceLoder module

https://gerrit.wikimedia.org/r/263356

Change 263357 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Merge ResourceLoader submodules into wikibase.parsers.getStore

https://gerrit.wikimedia.org/r/263357

Change 263358 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Merge EntityInitializer into wikibase.ui.entityViewInit Module

https://gerrit.wikimedia.org/r/263358

Change 263358 merged by jenkins-bot:
Merge EntityInitializer into wikibase.ui.entityViewInit Module

https://gerrit.wikimedia.org/r/263358

Change 263357 merged by jenkins-bot:
Merge ResourceLoader submodules into wikibase.parsers.getStore

https://gerrit.wikimedia.org/r/263357

Change 263591 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Merge ResourceLoader submodules into wikibase.formatters.getStore

https://gerrit.wikimedia.org/r/263591

Change 263355 merged by jenkins-bot:
Merge snakview ResourceLoader modules

https://gerrit.wikimedia.org/r/263355

Again, please don't do such architectural changes which are not in the sprint, not discussed and happen to be reverts of work we did before. Especially since I explicitly stated today that I'm against this.

thiemowmde lowered the priority of this task from High to Low.Jan 14 2016, 10:35 AM

What I did to this point was pure refactoring that did not changed anything critical. Not different from other refactoring we do, e.g. when we remove unused public methods. I merged some very trivial modules (mostly 1 or 2 files only) that are not used outside of the same directory. Such minor changes do not need to be in a sprint.

I do not plan to do more than I already did to this point.

It's still a partial revert of dcaff383b9b83971646d26a6ec50b3829c9f88d9. I don't like going back and forth for no good reason and without good reasoning.

Change 263591 abandoned by Thiemo Mättig (WMDE):
Merge ResourceLoader submodules into wikibase.formatters.getStore

Reason:
Mostly obsolete because of I60935f8.

https://gerrit.wikimedia.org/r/263591

Jonas closed this task as Invalid.Feb 28 2018, 8:47 AM